"use client";
import { Activity } from "@/components/activity";
import { Review } from "@/components/review";
import { Rule } from "@/components/rule";
import { Testimonials } from "@/config/Testimonials";
import { useEffect, useState } from "react";

const Reviews = (): JSX.Element => {
  const [activity, setActivity] = useState<
    {
      type: string;
      date: Date;
      repo: string;
      repoName: string;
    }[]
  >([]);

  useEffect(() => {
    fetch("/api/activity")
      .then((data) => data.json())
      .then((data) => setActivity(data));
  }, []);

  return (
    <>
      <main className="w-[95%] text-center max-w-4xl m-auto mt-16 mb-16 rounded-lg">
        <h1 className="text-5xl">Recent Activity</h1>
        <section>
          <p className="mb-2">See what Naomi has been up to lately.</p>
          <Rule />
          <ol className="relative border-s border-[--primary] w-4/5 m-auto">
            {activity.map((act, i) => (
              <Activity
                key={act.date.toString()}
                type={act.type}
                date={act.date}
                repo={act.repo}
                repoName={act.repoName}
                heart={i % 2 ? "🩷" : "🩵"}
              />
            ))}
          </ol>
        </section>
      </main>
    </>
  );
};

export default Reviews;
