import { Certification } from "@/components/cert";
import { Game } from "@/components/game";
import { Rule } from "@/components/rule";
import { Certifications } from "@/config/Certifications";
import { Games } from "@/config/Games";
import { Charm } from "next/font/google";

const Gamez = (): JSX.Element => {
  return (
    <>
      <main className="w-[95%] text-center max-w-4xl m-auto mt-16 mb-16 rounded-lg">
        <h1 className="text-5xl">Games</h1>
        <section>
          <p className="mb-2">See how Naomi has appeared in various games.</p>
          <Rule />
          <div className="grid sm:grid-cols-2 lg:grid-cols-3 grid-cols-1 gap-y-5">
            {Games.sort((a, b) => a.name.localeCompare(b.name)).map((game) => (
              <Game key={game.name} name={game.name} img={game.img} alt={game.alt} url={game.url} />
            ))}
          </div>
        </section>
      </main>
    </>
  );
};

export default Gamez;
