import { Codeberg } from "@/icons/Codeberg";
import { Fiverr } from "@/icons/Fiverr";
import { Gather } from "@/icons/Gather";
import { Gog } from "@/icons/Gog";
import { Kofi } from "@/icons/KoFi";
import { Matrix } from "@/icons/Matrix";
import { Peerlist } from "@/icons/Peerlist";
import { Pixiv } from "@/icons/Pixiv";
import { Polywork } from "@/icons/Polywork";
import { Saylor } from "@/icons/Saylor";
import { TeeSpring } from "@/icons/TeeSpring";
import { TreeNation } from "@/icons/TreeNation";
import { VRoid } from "@/icons/VRoid";
import { IconDefinition } from "@fortawesome/fontawesome-svg-core";
import {
  faAngellist,
  faBluesky,
  faDiscord,
  faFreeCodeCamp,
  faGithub,
  faGooglePlus,
  faHashnode,
  faInstagram,
  faItchIo,
  faLinkedinIn,
  faMastodon,
  faMeetup,
  faNpm,
  faPatreon,
  faPaypal,
  faReddit,
  faSignalMessenger,
  faSlack,
  faSteam,
  faStripe,
  faTelegramPlane,
  faThreads,
  faTiktok,
  faTumblr,
  faTwitch,
  faWhatsapp,
  faWordpress,
  faYoutube,
} from "@fortawesome/free-brands-svg-icons";
import { faSnapchat } from "@fortawesome/free-brands-svg-icons/faSnapchat";
import { faXTwitter } from "@fortawesome/free-brands-svg-icons/faXTwitter";
import {
  faAtom,
  faBriefcase,
  faChessKnight,
  faComputer,
  faEnvelope,
  faGamepad,
  faGift,
  faHashtag,
  faMoneyBill,
  faUniversity,
} from "@fortawesome/free-solid-svg-icons";

export const HireMe: {
  icon: IconDefinition;
  link: string;
  label: string;
  alt: string;
  color: string;
  background: string;
} = {
  icon: faBriefcase,
  link: "https://docs.nhcarrigan.com/#/hire",
  label: "Hire Us!",
  alt: "Briefcase Icon",
  color: "#003600",
  background: `linear-gradient(
              90deg,
              #5bcefa,
              #f5a9b8,
              #ffffff,
              #f5a9b8,
              #5bcefa
            )`,
};

export const Donate: {
  icon: IconDefinition;
  link: string;
  label: string;
  alt: string;
  color: string;
  background: string;
} = {
  icon: faMoneyBill,
  link: "https://docs.nhcarrigan.com/#/donate",
  label: "Donate 💜",
  alt: "Money Icon",
  color: "#003600",
  background: `linear-gradient(
              90deg,
              rgba(255, 0, 0, 1) 0%,
              rgba(251, 7, 217, 1) 10%,
              rgba(186, 12, 248, 1) 20%,
              rgba(95, 21, 242, 1) 30%,
              rgba(28, 127, 238, 1) 40%,
              rgba(47, 201, 226, 1) 50%,
              rgba(63, 218, 216, 1) 60%,
              rgba(79, 220, 74, 1) 70%,
              rgba(208, 222, 33, 1) 80%,
              rgba(255, 154, 0, 1) 90%,
              rgba(255, 0, 0, 1) 100%
            )`,
};

export const Socials: {
  icon: IconDefinition;
  link: string;
  label: string;
  alt: string;
  color: string;
  background: string;
}[] = [
  {
    label: "Codeberg",
    link: "https://codeberg.org/naomi-lgbt",
    alt: "Codeberg Logo",
    icon: Codeberg,
    background: "#0B3049",
    color: "#B5DDFF",
  },
  {
    label: "GitHub",
    link: "https://github.com/nhcarrigan",
    alt: "GitHub Logo",
    icon: faGithub,
    background: "#333",
    color: "#FFF",
  },
  {
    label: "Discord",
    link: "https://chat.naomi.lgbt",
    alt: "Discord Logo",
    icon: faDiscord,
    background: "#7289DA",
    color: "#FFF",
  },
  {
    label: "Matrix",
    link: "https://matrix.to/#/#naomi:matrix.org",
    alt: "Element Logo",
    icon: Matrix,
    background: "#29B6F6",
    color: "#FFF",
  },
  {
    label: "IRC",
    link: "https://docs.nhcarrigan.com/about/contact/#33-irc-channels",
    alt: "Hash symbol",
    icon: faHashtag,
    background: "#000",
    color: "#FFF",
  },
  {
    label: "Slack",
    link: "https://join.slack.com/t/naomi-lgbt/signup",
    alt: "Slack Logo",
    icon: faSlack,
    background: "#4A154B",
    color: "#FFF",
  },
  {
    label: "Reddit",
    link: "https://reddit.com/r/nhcarrigan",
    alt: "Reddit Logo",
    icon: faReddit,
    background: "#FF4500",
    color: "#FFF",
  },
  {
    label: "Blog",
    link: "https://blog.nhcarrigan.com",
    alt: "Hashnode Logo",
    icon: faHashnode,
    background: "#2962FF",
    color: "#FFF",
  },
  {
    label: "LinkedIn",
    link: "https://linkedin.com/in/naomi-lgbt",
    alt: "LinkedIn Logo",
    icon: faLinkedinIn,
    background: "#0077B5",
    color: "#FFF",
  },
  {
    label: "Peerlist",
    link: "https://resume.nhcarrigan.com",
    alt: "Peerlist Logo",
    icon: Peerlist,
    background: "rgb(33, 150, 83)",
    color: "#FFF",
  },
  {
    label: "Polywork",
    link: "https://polywork.nhcarrigan.com/",
    alt: "Polywork Logo",
    icon: Polywork,
    background: "#7C3AED",
    color: "#FFF",
  },
  {
    label: "Fiverr",
    link: "https://www.fiverr.com/nhcarrigan",
    alt: "Fiverr Logo",
    icon: Fiverr,
    background: "#1DBF73",
    color: "#FFF",
  },
  {
    label: "Mastodon",
    link: "https://mastodon.social/@naomi_lgbt",
    alt: "Mastodon Logo",
    icon: faMastodon,
    background: "#2B90D9",
    color: "#FFF",
  },
  {
    label: "X (Twitter)",
    link: "https://x.com/naomi_lgbt",
    alt: "X Logo",
    icon: faXTwitter,
    background: "#1DA1F2",
    color: "#FFF",
  },
  {
    label: "Steam",
    link: "https://steamcommunity.com/id/naomi-lgbt/",
    alt: "Steam Logo",
    icon: faSteam,
    background: "rgb(27, 40, 56)",
    color: "rgb(199, 213, 224)",
  },
  {
    label: "Twitch",
    link: "https://www.twitch.tv/naomilgbt/",
    alt: "Twitch Logo",
    icon: faTwitch,
    background: "#6441A4",
    color: "#FFF",
  },
  {
    label: "HLTB",
    link: "https://howlongtobeat.com/user/naomi_lgbt",
    alt: "How Long to Beat Logo",
    icon: faGamepad,
    background: "#333",
    color: "#FFF",
  },
  {
    label: "Snapchat",
    link: "https://www.snapchat.com/add/naomi-lgbt",
    alt: "Snapchat Logo",
    icon: faSnapchat,
    background: "#FFFC00",
    color: "#000",
  },
  {
    label: "GOG",
    link: "https://www.gog.com/u/naomi-lgbt",
    alt: "GOG Logo",
    icon: Gog,
    background: "#863A3A",
    color: "#FFF",
  },
  {
    label: "Itch.io",
    link: "https://nhcarrigan.itch.io/",
    alt: "Itch.io Logo",
    icon: faItchIo,
    background: "#FA5C5C",
    color: "#FFF",
  },
  {
    label: "Lichess",
    link: "https://lichess.org/@/naomi-lgbt",
    alt: "Lichess Logo",
    icon: faChessKnight,
    background: "#000",
    color: "#FFF",
  },
  {
    label: "Saylor Academy",
    link: "https://learn.saylor.org/user/profile.php?id=2074619",
    alt: "Saylor Academy Logo",
    icon: Saylor,
    background: "#469dcc",
    color: "#183140",
  },
  {
    label: "Paypal",
    link: "https://paypal.me/nhcarrigan",
    alt: "Paypal Logo",
    icon: faPaypal,
    background: "#003087",
    color: "#FFF",
  },
  {
    label: "Ko-Fi",
    link: "https://ko-fi.com/nhcarrigan",
    alt: "Ko-Fi Logo",
    icon: Kofi,
    background: "#FF5E5B",
    color: "#FFF",
  },
  {
    label: "Patreon",
    link: "https://patreon.com/nhcarrigan",
    alt: "Patreon Logo",
    icon: faPatreon,
    background: "#F96854",
    color: "#FFF",
  },
  {
    label: "freeCodeCamp",
    link: "https://forum.freecodecamp.org/u/nhcarrigan/summary",
    alt: "freeCodeCamp Logo",
    icon: faFreeCodeCamp,
    background: "#0a0a23",
    color: "#FFF",
  },
  {
    label: "NPM",
    link: "https://www.npmjs.com/~nhcarrigan",
    alt: "NPM Logo",
    icon: faNpm,
    background: "#CB3837",
    color: "#FFF",
  },
  {
    label: "GatherTown",
    link: "https://app.gather.town/invite?token=CiIvbSnrQiW-akXFSPL_",
    alt: "GatherTown Logo",
    icon: Gather,
    background: "#7B68EE",
    color: "#FFF",
  },
  {
    label: "VRoid",
    link: "https://hub.vroid.com/en/characters/6033404747153826650/models/3483506204509065121",
    alt: "VRoid Logo",
    icon: VRoid,
    color: "#000",
    background: "#ffe100",
  },
  {
    label: "Pixiv",
    link: "https://www.pixiv.net/en/users/77818154",
    alt: "Pixiv Logo",
    icon: Pixiv,
    background: "#0096FA",
    color: "#FFF",
  },
  {
    label: "Email",
    link: "https://docs.nhcarrigan.com/about/contact/#7-email-communication",
    alt: "Email Icon",
    icon: faEnvelope,
    background: "#000000",
    color: "#FFF",
  },
  {
    label: "Coursera",
    link: "https://www.coursera.org/learner/naomi-lgbt",
    alt: "University Icon",
    icon: faUniversity,
    background: "#0056D2",
    color: "#FFF",
  },
  {
    label: "Udemy",
    link: "https://www.udemy.com/user/naomi-carrigan/",
    alt: "University Icon",
    icon: faUniversity,
    background: "#EC5252",
    color: "#FFF",
  },
  {
    label: "Gravatar",
    link: "https://gravatar.com/nhcarrigan",
    alt: "Wordpress Logo",
    icon: faWordpress,
    background: "#1E8EDE",
    color: "#FFF",
  },
  {
    label: "PC Part Picker",
    link: "https://pcpartpicker.com/user/nhcarrigan/",
    alt: "Computer Icon",
    icon: faComputer,
    background: "#000",
    color: "#FFF",
  },
  {
    label: "Throne",
    link: "https://throne.com/naomilgbt",
    alt: "Gift Icon",
    icon: faGift,
    background: "#000",
    color: "#FFF",
  },
  {
    label: "Stripe",
    link: "https://buy.stripe.com/cN24iTfqu1j6b3afZ2",
    alt: "Stripe Logo",
    icon: faStripe,
    background: "#6772E5",
    color: "#FFF",
  },
  {
    label: "Signal",
    link: "https://signal.me/#eu/YGo6ag7kAwkdfkw863-J4qLK3VyKn8uWLhvyX60Jx5J0qrDZnz1B_aLrjM9yAMe6",
    alt: "Signal Logo",
    icon: faSignalMessenger,
    background: "#FFF",
    color: "#3A76F0",
  },
  {
    label: "WellFound",
    link: "https://wellfound.com/u/naomi-h-carrigan",
    alt: "Angellist Logo",
    icon: faAngellist,
    background: "#000",
    color: "#FFF",
  },
  {
    label: "ProtonDB",
    link: "https://www.protondb.com/users/1717755560",
    alt: "ProtonDB Logo",
    icon: faAtom,
    background: "#000",
    color: "#FFF",
  },
  {
    label: "Merch",
    link: "https://nhcarrigan.creator-spring.com/",
    alt: "TeeSpring Logo",
    icon: TeeSpring,
    background: "#000",
    color: "#FFF",
  },
  {
    label: "BlueSky",
    link: "https://bsky.app/profile/naomi-lgbt.bsky.social",
    alt: "BlueSky Logo",
    icon: faBluesky,
    background: "#1DA1F2",
    color: "#FFF",
  },
  {
    label: "Telegram",
    link: "https://t.me/naomi_lgbt",
    alt: "Telegram Logo",
    icon: faTelegramPlane,
    background: "#0088cc",
    color: "#FFF",
  },
  {
    label: "WhatsApp",
    link: "https://wa.me/qr/WCGJIID7UKWIE1",
    alt: "WhatsApp Logo",
    icon: faWhatsapp,
    background: "#25D366",
    color: "#FFF",
  },
  {
    label: "Google Chat",
    link: "https://chat.google.com/room/AAAAK270m3M",
    alt: "Google Chat Logo",
    icon: faGooglePlus,
    background: "#DB4437",
    color: "#FFF",
  },
  {
    label: "Tree Nation",
    link: "https://tree-nation.com/profile/naomi-carrigan",
    alt: "Tree Nation Logo",
    icon: TreeNation,
    background: "#FFF",
    color: "#55C1A8",
  },
  {
    label: "Meetup",
    link: "https://www.meetup.com/members/437962584/",
    alt: "Meetup Logo",
    icon: faMeetup,
    background: "#FF6D00",
    color: "#FFF",
  },
  {
    label: "Tumblr",
    link: "https://www.tumblr.com/naomi-lgbt",
    alt: "Tumblr Logo",
    icon: faTumblr,
    background: "#36465D",
    color: "#FFF",
  },
  {
    label: "YouTube",
    link: "https://www.youtube.com/@naomilgbt",
    alt: "YouTube Logo",
    icon: faYoutube,
    background: "#FF0000",
    color: "#FFF",
  },
  {
    label: "Tiktok",
    link: "https://www.tiktok.com/@naomilgbt",
    alt: "Tiktok Logo",
    icon: faTiktok,
    background: "#000",
    color: "#FFF",
  },
  {
    label: "Threads",
    link: "https://www.threads.net/@naomi.lgbt",
    alt: "Threads Logo",
    icon: faThreads,
    background: "#000",
    color: "#FFF",
  },
  {
    label: "Instagram",
    link: "https://www.instagram.com/naomi.lgbt/",
    alt: "Instagram Logo",
    icon: faInstagram,
    background: "#C13584",
    color: "#FFF",
  }
];
